/***************************************************************************
 * Copyright 2012 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/
package kieker.webgui.domain;

import kieker.analysis.model.analysisMetaModel.MIProject;

/**
 * @author Nils Christian Ehmke
 */
public class Project {

	private MIProject projectInstance;

	public Project(final MIProject projectInstace) {
		this.projectInstance = projectInstace;
	}

	/**
	 * Getter for the property {@link Project#projectInstance}.
	 * 
	 * @return The current value of the property.
	 */
	public MIProject getProjectInstance() {
		return this.projectInstance;
	}

	/**
	 * Setter for the property {@link Project#projectInstance}.
	 * 
	 * @param projectInstace
	 *            The new value of the property.
	 */
	public void setProjectInstance(final MIProject projectInstance) {
		this.projectInstance = projectInstance;
	}

}
